%def_disable static

Name: openct
Version: 0.6.15
Release: alt0.M40.1

Group: System/Servers
Summary: OpenCT Library for Smart Card Readers
License: LGPL
Url: http://www.opensc-project.org/
Packager: Andriy Stepanov <stanv@altlinux.ru>

Requires: lib%name = %version-%release

Source0: %name-%version.tar
Source1: readme.alt
Source10: openct.startup

Patch70: %name-%version-%release-super.patch

Requires: udev

# Automatically added by buildreq on Mon Dec 08 2008
BuildRequires: doxygen gcc-c++ gcc-fortran glibc-devel-static libltdl-devel libpcsclite-devel libusb-devel rpm-build-java subversion wget xsltproc

BuildRequires: libstdc++-devel

%if_enabled static
BuildRequires: libstdc++-devel-static libpcsclite-devel-static libusb-devel-static
%endif

%description
This is OpenCT, a middleware framework for smart card terminals.

Currently, OpenCT supports the following set of card terminals
and USB tokens:

 -      Towitoko serial readers
 -      Kobil Kaan Professional (including PIN pad support)
 -      Aladdin eToken
 -      Rainbow iKey 3000
 -      Cryptoflex eGate
 -      Eutron Cypto-Identity ITSEC

More drivers are currently under development.

OpenCT currently does not work with synchronous smart cards (e.g.
memory cards).

%package -n lib%name
Group: System/Libraries
Summary: Library for accessing Smartcards

%description -n lib%name
These are the shared libraries for the smartcard terminal middleware
OpenCT.
If you want to compile applications using this library, you also need
the %name-devel package.

%package -n lib%name-devel
Requires: lib%name = %version
Group: System/Libraries
Summary: Supplementary files for developing %name applications
Requires: lib%name = %version-%release

%description -n lib%name-devel
Header files and documentation for %name.

%package -n lib%name-devel-static
Requires: lib%name = %version
Group: System/Libraries
Summary: Supplementary files for developing %name applications
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
static libraries for %name.

%package -n %name-pcsc-lite
Requires: libpcsclite
Group: System/Libraries
Summary: OpenCT PC/SC Lite driver

%description -n %name-pcsc-lite
The OpenCT PC/SC Lite driver makes smart card readers supported by
OpenCT available for PC/SC Lite.

%prep
%setup -q
%patch70 -p1

%build
# %__autoreconf
%add_optflags %optflags_shared
export CFLAGS="%optflags"
%configure \
     %{subst_enable static} \
    --enable-shared \
    --enable-pcsclite \
    --enable-pcsc \
    --enable-usb \
    --disable-rpath \
    --with-pic \
    --with-bundle=%_libdir/pcsc/drivers \
    --with-udev=/lib/udev

%make
%make -k check


%install
%make install DESTDIR=%buildroot

install -d %buildroot%_localstatedir/openct
install -d %buildroot%_libdir/ifd
install -d %buildroot%_initdir
install -d %buildroot%_docdir/%name-%version
install -d %buildroot%_bindir
install -d %buildroot%_sysconfdir/udev/rules.d

cp etc/openct.udev %buildroot%_sysconfdir/udev/rules.d/60-openct.rules
cp etc/openct.conf %buildroot%_sysconfdir/

install -m 755 %SOURCE10 %buildroot/%_initdir/%name

rm -rf etc_samples
cp -ar etc etc_samples
rm -f etc_samples/Makefile* etc_samples/*.in

%post
%post_service %name
%preun
%preun_service %name

%post -n lib%name
%post_ldconfig
%postun -n lib%name
%postun_ldconfig


%files
%doc doc/README NEWS TODO doc/nonpersistent/ChangeLog doc/nonpersistent/wiki.out etc_samples
%_man1dir/*.*
%_bindir/*
%_sbindir/*
%_initdir/%name
%config(noreplace) %_sysconfdir/openct.conf
%config(noreplace) %_sysconfdir/udev/rules.d/*
/lib/udev/*

%files -n lib%name
%_libdir/*.so.*
%_libdir/ifd
%_localstatedir/openct
%_libdir/libopenctapi.so
%_libdir/openct-ifd.so

%files -n lib%name-devel
%exclude %_libdir/libopenctapi.so
%exclude %_libdir/openct-ifd.so
%_libdir/*.so
%_pkgconfigdir/*.pc
%_includedir/%name

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%files -n %name-pcsc-lite
%_libdir/pcsc/drivers/openct-ifd.bundle

%changelog
* Tue Dec 09 2008 Andriy Stepanov <stanv@altlinux.ru> 0.6.15-alt0.M40.1
- backport to M40

* Mon Dec 08 2008 Andriy Stepanov <stanv@altlinux.ru> 0.6.15-alt2
- take changes from alb@

* Tue Sep 02 2008 Andriy Stepanov <stanv@altlinux.ru> 0.6.15-alt1
- Up to new upstream version

* Tue Oct 30 2007 Andriy Stepanov <stanv@altlinux.ru> 0.6.14-alt3
- Apply patch from ruToken.

* Tue Oct 30 2007 Andriy Stepanov <stanv@altlinux.ru> 0.6.14-alt2
- Apply patch from ruToken.

* Thu Aug 02 2007 Andriy Stepanov <stanv@altlinux.ru> 0.6.12-alt1
- Switch to new version. Add patch for www.rutoken.ru devices. Add HAL support.

* Tue Dec 26 2006 Sergey V Turchin <zerg at altlinux dot org> 0.6.11-alt1
- new version

* Tue Sep 26 2006 Sergey V Turchin <zerg at altlinux dot org> 0.6.9-alt1
- new version

* Mon Jul 03 2006 Sergey V Turchin <zerg at altlinux dot org> 0.6.8-alt1
- new version

* Mon Oct 11 2004 Sergey V Turchin <zerg at altlinux dot org> 0.5.0-alt2
- rebuild

* Tue Apr 06 2004 Sergey V Turchin <zerg at altlinux dot org> 0.5.0-alt1
- new version

* Thu Nov 27 2003 Sergey V Turchin <zerg at altlinux dot org> 0.1.0-alt2
- remove *.la

* Mon Nov 24 2003 Sergey V Turchin <zerg at altlinux dot org> 0.1.0-alt1
- build for ALT

* Fri Nov 14 2003 Florin <florin@mandrakesoft.com> 0.1.0-2mdk
- rebuild

* Wed Nov 12 2003 Florin <florin@mandrakesoft.com> 0.1.0-1mdk
- first mdk release
